<?php

require_once "../controladores/paciente.controlador.php";
require_once "../modelos/paciente.modelo.php";

class AjaxUbigeo {

    public $idDepartamento;
    public $idProvincia;

    /*=============================================
    MÉTODO PARA TRAER PROVINCIAS
    =============================================*/
    public function ajaxListarProvincias() {
        $idDep = $this->idDepartamento;
        $respuesta = ControladorPaciente::ctrMostrarProvincias($idDep);
        echo json_encode($respuesta);
    }

    /*=============================================
    MÉTODO PARA TRAER DISTRITOS
    =============================================*/
    public function ajaxListarDistritos() {
        $idProv = $this->idProvincia;
        $respuesta = ControladorPaciente::ctrMostrarDistritos($idProv);
        echo json_encode($respuesta);
    }
}

/*=============================================
OBJETOS DE PETICIÓN (Lo que activa el AJAX)
=============================================*/

// Si recibe un ID de Departamento, devuelve Provincias
if(isset($_POST["idDepartamento"])){
    $prov = new AjaxUbigeo();
    $prov->idDepartamento = $_POST["idDepartamento"];
    $prov->ajaxListarProvincias();
}

// Si recibe un ID de Provincia, devuelve Distritos
if(isset($_POST["idProvincia"])){
    $dist = new AjaxUbigeo();
    $dist->idProvincia = $_POST["idProvincia"];
    $dist->ajaxListarDistritos();
}